
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare package" href="nl2declare.html" />
    <link rel="prev" title="Welcome to NL2Declare’s documentation!" href="index.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare">
<h1>nl2declare<a class="headerlink" href="#nl2declare" title="Permalink to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.html">nl2declare package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.actmatching.html">nl2declare.actmatching package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.actmatching.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_bert">nl2declare.actmatching.activity_matching_bert module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_word2vec">nl2declare.actmatching.activity_matching_word2vec module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.actmatching.html#module-nl2declare.actmatching">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.application.html">nl2declare.application package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.application.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.application.html#module-nl2declare.application.d4py">nl2declare.application.d4py module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.application.html#module-nl2declare.application">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.constructs.html">nl2declare.constructs package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.action">nl2declare.constructs.action module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.constraint_type">nl2declare.constructs.constraint_type module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.declare_constraint">nl2declare.constructs.declare_constraint module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.declare_model">nl2declare.constructs.declare_model module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.interrelation">nl2declare.constructs.interrelation module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.noun_phrase">nl2declare.constructs.noun_phrase module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.relation_type">nl2declare.constructs.relation_type module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.text_model">nl2declare.constructs.text_model module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.evaluation.html">nl2declare.evaluation package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.evaluation.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.evaluation.html#module-nl2declare.evaluation.evaluator">nl2declare.evaluation.evaluator module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.evaluation.html#module-nl2declare.evaluation">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.lingproc.html">nl2declare.lingproc package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.lingproc.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.lingproc.html#module-nl2declare.lingproc.declare_constructor">nl2declare.lingproc.declare_constructor module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.lingproc.html#module-nl2declare.lingproc.text_parser">nl2declare.lingproc.text_parser module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.lingproc.html#module-nl2declare.lingproc">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.test.html">nl2declare.test package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.html#subpackages">Subpackages</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.html#module-nl2declare.test.test__main__">nl2declare.test.test__main__ module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.html#module-nl2declare.test">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.utils.html">nl2declare.utils package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.utils.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.utils.html#module-nl2declare.utils.io">nl2declare.utils.io module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.utils.html#module-nl2declare.utils.word_classes">nl2declare.utils.word_classes module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.utils.html#module-nl2declare.utils">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.html#module-nl2declare">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">nl2declare</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="index.html" title="previous chapter">Welcome to NL2Declare’s documentation!</a></li>
      <li>Next: <a href="nl2declare.html" title="next chapter">nl2declare package</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>